package com.aucma.dms.domain;


import com.aucma.common.annotation.Excel;
import com.aucma.dms.domain.dto.AttachFileDTO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 维修知识库对象 dms_knowledge_repair
 *
 * @author Open Platform
 * @date 2024-02-26
 */
public class DmsKnowledgeRepair extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long knowledgeRepairId;

    /** 经验编号 */
    @Excel(name = "经验编号")
    private String experienceCode;

    /** 设备类型ID，关联dm_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dm_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 故障描述 */
    @Excel(name = "故障描述")
    private String faultDescription;

    /** 涉及操作 */
    @Excel(name = "涉及操作")
    private String designOperations;

    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationsDescription;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    List<String> fileUrls;

    List<AttachFileDTO> systemFiles;

    public List<String> getFileUrls() {
        return fileUrls;
    }

    public void setFileUrls(List<String> fileUrls) {
        this.fileUrls = fileUrls;
    }

    public List<AttachFileDTO> getSystemFiles() {
        return systemFiles;
    }

    public void setSystemFiles(List<AttachFileDTO> systemFiles) {
        this.systemFiles = systemFiles;
    }

    public void setKnowledgeRepairId(Long knowledgeRepairId)
    {
        this.knowledgeRepairId = knowledgeRepairId;
    }

    public Long getKnowledgeRepairId()
    {
        return knowledgeRepairId;
    }
    public void setExperienceCode(String experienceCode)
    {
        this.experienceCode = experienceCode;
    }

    public String getExperienceCode()
    {
        return experienceCode;
    }
    public void setDeviceTypeId(Long deviceTypeId)
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId()
    {
        return deviceTypeId;
    }
    public void setFaultDescription(String faultDescription)
    {
        this.faultDescription = faultDescription;
    }

    public String getFaultDescription()
    {
        return faultDescription;
    }
    public void setDesignOperations(String designOperations)
    {
        this.designOperations = designOperations;
    }

    public String getDesignOperations()
    {
        return designOperations;
    }
    public void setOperationsDescription(String operationsDescription)
    {
        this.operationsDescription = operationsDescription;
    }

    public String getOperationsDescription()
    {
        return operationsDescription;
    }
    public void setIsFlag(String isFlag)
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("knowledgeRepairId", getKnowledgeRepairId())
            .append("experienceCode", getExperienceCode())
            .append("deviceTypeId", getDeviceTypeId())
            .append("faultDescription", getFaultDescription())
            .append("designOperations", getDesignOperations())
            .append("operationsDescription", getOperationsDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
